Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005914 [JEDI VCL] 00 JVCL Components crash always 2012-06-22 12:48 2012-09-10 14:15
Reporter ldsandon View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005914: Exception 0xc0000005, JvJVCLUtils.AllocateHWndEx wrong parameter size in SetWindowLong()?
Description AllocateHWndEx() calls:

Windows.SetWindowLong(Result, GWL_WNDPROC, Longint(@StdWndProc));

But this looks wrong in 64 bit applications, where @StdWndProc is a 64 bit address. Other calls to SetWindowLong() may be an issue as well.

My application throws 0xc0000005 exception when using a TJvComputerInfoEx component and a nil owner.

BTW MSDN says to use SetWindowLongPtr in applications that should be compiled in 32 and 64 bit versions (http://msdn.microsoft.com/en-us/library/windows/desktop/ms633591(v=vs.85).aspx) [^]
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020028)
AHUser (developer)
2012-06-22 23:01

This bug was fixed in svn revision 13173 (2011-11-19)

- Issue History
Date Modified Username Field Change
2012-06-22 12:48 ldsandon New Issue
2012-06-22 23:01 AHUser Note Added: 0020028
2012-06-22 23:01 AHUser Status new => resolved
2012-06-22 23:01 AHUser Fixed in Version => Daily / SVN
2012-06-22 23:01 AHUser Resolution open => fixed
2012-06-22 23:01 AHUser Assigned To => AHUser
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker